class MoviesController < ApplicationController
    def index
      @choices, @movies = Movie.all, []
      (0..10).each{ |num|
        @movies.append(@choices.sample())
      }
    end
    def show
      @movie = Movie.find(params[:id])
    end
    def edit
      @movie = Movie.find(params[:id])
    end
    def update
      @movie = Movie.find(params[:id])
      movie_params = params.require(:movie).permit(:title, :description, :rating, :released_on, :total_gross)
      @movie.update(movie_params)
      redirect_to @movie
    end
end
